> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aurasos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aurasos.com/_mcp/server.

# Create a scheduled service

POST https://staging-panic.aura.services/panic-api/v2/scheduled/{serviceType}
Content-Type: application/json

Creates a scheduled service request for the named service type.

Reference: https://docs.aurasos.com/api-reference/scheduled-services/create-scheduled-service

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://staging-panic.aura.services` (Staging, default)
- `https://panic.aura.services` (Production)

## Request

### Path parameters

- `serviceType` (string, required) — Scheduled service type used when creating a request.

### Body (application/json)

This endpoint expects a ScheduledServiceCreateRequest.

- `customerId` (integer, required)
- `scheduledRequestConfig` (ScheduledRequestConfig, required)
- `initialLocation` (ScheduledLocation, required)
- `locationTimezone` (string, optional)
- `allLocations` (list of ScheduledLocation, optional)
- `scheduledAt` (datetime, optional, deprecated)
- `latitude` (double, optional, deprecated)
- `longitude` (double, optional, deprecated)

## Response

### 200

Successful.

- `message` (string, optional)
- `scheduledRequest` (ScheduledRequest, optional)

## Errors

### 400 Bad Request Error

Bad request.

- `message` (string, optional)
- `errors` (ErrorResponseErrors, optional) — Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

### 401 Unauthorized Error

Unauthorized.

- `message` (string, optional)
- `errors` (ErrorResponseErrors, optional) — Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

### 404 Not Found Error

Not found.

- `message` (string, optional)
- `errors` (ErrorResponseErrors, optional) — Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

## Types

### ScheduledRequestConfig

- `id` (integer, optional)
- `name` (string, optional)
- `specialInstructions` (string, optional)
- `details` (ScheduledRequestConfigDetails, optional)
- `dateFrom` (datetime, optional)
- `dateTo` (datetime, optional)
- `repeatsConfig` (ScheduledRequestConfigRepeatsConfig, optional)
- `scheduledRequestId` (integer, optional)
- `updatedAt` (datetime, optional)
- `createdAt` (datetime, optional)

### ScheduledLocation

- `latitude` (ScheduledLocationLatitude, required)
- `longitude` (ScheduledLocationLongitude, required)
- `formattedAddress` (string, optional)
- `locationIdentifier` (string, optional)
- `locationDescription` (string, optional)
- `locationAdditionalInformation` (string, optional)

### ScheduledRequest

- `id` (integer, optional)
- `scheduledService` (string, optional)
- `customerSourceId` (integer, optional)
- `locationTimezone` (string, optional)
- `activeScheduledRequestConfigId` (integer, optional)
- `updatedAt` (datetime, optional)
- `createdAt` (datetime, optional)
- `deletedAt` (datetime, optional, nullable)
- `scheduledRequestConfig` (ScheduledRequestConfig, optional)
- `initialLocation` (ScheduledLocation, optional)
- `allLocations` (list of ScheduledLocation, optional)
- `nowOccurrence` (ScheduledRequestNowOccurrence, optional)
- `nextOccurrence` (ScheduledRequestNextOccurrence, optional)
- `inProgressOccurrence` (ScheduledRequestInProgressOccurrence, optional)

### ErrorResponseErrors

Error detail. May be a string, an array of strings, or an object (some routes return a serialized error object).

- string
- list of string
- map from string to any

### ScheduledRequestConfigDetails

- `numberOfGuards` (integer, optional)
- `armedPreference` (string, optional)
- `contacts` (list of ScheduledRequestConfigDetailsContactsItems, optional)

### ScheduledRequestConfigRepeatsConfig

- `type` (string, optional)
- `date` (datetime, optional)
- `time` (ScheduledRequestConfigRepeatsConfigTime, optional)

### ScheduledLocationLatitude

- string
- double

### ScheduledLocationLongitude

- string
- double

### ScheduledRequestNowOccurrence

### ScheduledRequestNextOccurrence

### ScheduledRequestInProgressOccurrence

### ScheduledRequestConfigDetailsContactsItems

- `firstName` (string, optional)
- `lastName` (string, optional)
- `mobile` (string, optional)

### ScheduledRequestConfigRepeatsConfigTime

- `start` (string, optional)
- `windowPeriod` (string, optional)

## Examples

**Request**

```json
{
  "customerId": 12345,
  "scheduledRequestConfig": {
    "name": "Example guarding request",
    "specialInstructions": "Example special instructions",
    "details": {
      "numberOfGuards": 2,
      "armedPreference": "unarmed",
      "contacts": [
        {
          "firstName": "Example",
          "lastName": "Contact",
          "mobile": "+2756789999"
        }
      ]
    },
    "dateFrom": "2026-06-12T00:00:00.000Z",
    "dateTo": "2026-06-13T00:00:00.000Z",
    "repeatsConfig": {
      "type": "single",
      "date": "2026-06-12T00:00:00.000Z",
      "time": {
        "start": "00:45",
        "windowPeriod": "02:00"
      }
    }
  },
  "initialLocation": {
    "latitude": "52.05169309271538",
    "longitude": "5.397453505042579",
    "formattedAddress": "Menlyn Maine Central Square, Amarand Avenue, Waterkloof Glen, Pretoria, South Africa"
  }
}
```

**Response**

```json
{
  "message": "Scheduled request created successfully.",
  "scheduledRequest": {
    "id": 1,
    "scheduledService": "string",
    "customerSourceId": 1,
    "locationTimezone": "string",
    "activeScheduledRequestConfigId": 1,
    "updatedAt": "2024-01-15T09:30:00Z",
    "createdAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "scheduledRequestConfig": {
      "id": 1,
      "name": "string",
      "specialInstructions": "string",
      "details": {
        "numberOfGuards": 1,
        "armedPreference": "string",
        "contacts": [
          {
            "firstName": "string",
            "lastName": "string",
            "mobile": "string"
          }
        ]
      },
      "dateFrom": "2024-01-15T09:30:00Z",
      "dateTo": "2024-01-15T09:30:00Z",
      "repeatsConfig": {
        "type": "string",
        "date": "2024-01-15T09:30:00Z",
        "time": {
          "start": "string",
          "windowPeriod": "string"
        }
      },
      "scheduledRequestId": 1,
      "updatedAt": "2024-01-15T09:30:00Z",
      "createdAt": "2024-01-15T09:30:00Z"
    },
    "initialLocation": {
      "latitude": "-26.10911",
      "longitude": "28.053037",
      "formattedAddress": "23 Baker Street",
      "locationIdentifier": "string",
      "locationDescription": "string",
      "locationAdditionalInformation": "string"
    },
    "allLocations": [
      {
        "latitude": "-26.10911",
        "longitude": "28.053037",
        "formattedAddress": "23 Baker Street",
        "locationIdentifier": "string",
        "locationDescription": "string",
        "locationAdditionalInformation": "string"
      }
    ],
    "nowOccurrence": {},
    "nextOccurrence": {},
    "inProgressOccurrence": {}
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://staging-panic.aura.services/panic-api/v2/scheduled/guarding"

payload = {
    "customerId": 12345,
    "scheduledRequestConfig": {
        "name": "Example guarding request",
        "specialInstructions": "Example special instructions",
        "details": {
            "numberOfGuards": 2,
            "armedPreference": "unarmed",
            "contacts": [
                {
                    "firstName": "Example",
                    "lastName": "Contact",
                    "mobile": "+2756789999"
                }
            ]
        },
        "dateFrom": "2026-06-12T00:00:00.000Z",
        "dateTo": "2026-06-13T00:00:00.000Z",
        "repeatsConfig": {
            "type": "single",
            "date": "2026-06-12T00:00:00.000Z",
            "time": {
                "start": "00:45",
                "windowPeriod": "02:00"
            }
        }
    },
    "initialLocation": {
        "latitude": "52.05169309271538",
        "longitude": "5.397453505042579",
        "formattedAddress": "Menlyn Maine Central Square, Amarand Avenue, Waterkloof Glen, Pretoria, South Africa"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://staging-panic.aura.services/panic-api/v2/scheduled/guarding';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"customerId":12345,"scheduledRequestConfig":{"name":"Example guarding request","specialInstructions":"Example special instructions","details":{"numberOfGuards":2,"armedPreference":"unarmed","contacts":[{"firstName":"Example","lastName":"Contact","mobile":"+2756789999"}]},"dateFrom":"2026-06-12T00:00:00.000Z","dateTo":"2026-06-13T00:00:00.000Z","repeatsConfig":{"type":"single","date":"2026-06-12T00:00:00.000Z","time":{"start":"00:45","windowPeriod":"02:00"}}},"initialLocation":{"latitude":"52.05169309271538","longitude":"5.397453505042579","formattedAddress":"Menlyn Maine Central Square, Amarand Avenue, Waterkloof Glen, Pretoria, South Africa"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://staging-panic.aura.services/panic-api/v2/scheduled/guarding"

	payload := strings.NewReader("{\n  \"customerId\": 12345,\n  \"scheduledRequestConfig\": {\n    \"name\": \"Example guarding request\",\n    \"specialInstructions\": \"Example special instructions\",\n    \"details\": {\n      \"numberOfGuards\": 2,\n      \"armedPreference\": \"unarmed\",\n      \"contacts\": [\n        {\n          \"firstName\": \"Example\",\n          \"lastName\": \"Contact\",\n          \"mobile\": \"+2756789999\"\n        }\n      ]\n    },\n    \"dateFrom\": \"2026-06-12T00:00:00.000Z\",\n    \"dateTo\": \"2026-06-13T00:00:00.000Z\",\n    \"repeatsConfig\": {\n      \"type\": \"single\",\n      \"date\": \"2026-06-12T00:00:00.000Z\",\n      \"time\": {\n        \"start\": \"00:45\",\n        \"windowPeriod\": \"02:00\"\n      }\n    }\n  },\n  \"initialLocation\": {\n    \"latitude\": \"52.05169309271538\",\n    \"longitude\": \"5.397453505042579\",\n    \"formattedAddress\": \"Menlyn Maine Central Square, Amarand Avenue, Waterkloof Glen, Pretoria, South Africa\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://staging-panic.aura.services/panic-api/v2/scheduled/guarding")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"customerId\": 12345,\n  \"scheduledRequestConfig\": {\n    \"name\": \"Example guarding request\",\n    \"specialInstructions\": \"Example special instructions\",\n    \"details\": {\n      \"numberOfGuards\": 2,\n      \"armedPreference\": \"unarmed\",\n      \"contacts\": [\n        {\n          \"firstName\": \"Example\",\n          \"lastName\": \"Contact\",\n          \"mobile\": \"+2756789999\"\n        }\n      ]\n    },\n    \"dateFrom\": \"2026-06-12T00:00:00.000Z\",\n    \"dateTo\": \"2026-06-13T00:00:00.000Z\",\n    \"repeatsConfig\": {\n      \"type\": \"single\",\n      \"date\": \"2026-06-12T00:00:00.000Z\",\n      \"time\": {\n        \"start\": \"00:45\",\n        \"windowPeriod\": \"02:00\"\n      }\n    }\n  },\n  \"initialLocation\": {\n    \"latitude\": \"52.05169309271538\",\n    \"longitude\": \"5.397453505042579\",\n    \"formattedAddress\": \"Menlyn Maine Central Square, Amarand Avenue, Waterkloof Glen, Pretoria, South Africa\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://staging-panic.aura.services/panic-api/v2/scheduled/guarding")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"customerId\": 12345,\n  \"scheduledRequestConfig\": {\n    \"name\": \"Example guarding request\",\n    \"specialInstructions\": \"Example special instructions\",\n    \"details\": {\n      \"numberOfGuards\": 2,\n      \"armedPreference\": \"unarmed\",\n      \"contacts\": [\n        {\n          \"firstName\": \"Example\",\n          \"lastName\": \"Contact\",\n          \"mobile\": \"+2756789999\"\n        }\n      ]\n    },\n    \"dateFrom\": \"2026-06-12T00:00:00.000Z\",\n    \"dateTo\": \"2026-06-13T00:00:00.000Z\",\n    \"repeatsConfig\": {\n      \"type\": \"single\",\n      \"date\": \"2026-06-12T00:00:00.000Z\",\n      \"time\": {\n        \"start\": \"00:45\",\n        \"windowPeriod\": \"02:00\"\n      }\n    }\n  },\n  \"initialLocation\": {\n    \"latitude\": \"52.05169309271538\",\n    \"longitude\": \"5.397453505042579\",\n    \"formattedAddress\": \"Menlyn Maine Central Square, Amarand Avenue, Waterkloof Glen, Pretoria, South Africa\"\n  }\n}")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://staging-panic.aura.services/panic-api/v2/scheduled/guarding', [
  'body' => '{
  "customerId": 12345,
  "scheduledRequestConfig": {
    "name": "Example guarding request",
    "specialInstructions": "Example special instructions",
    "details": {
      "numberOfGuards": 2,
      "armedPreference": "unarmed",
      "contacts": [
        {
          "firstName": "Example",
          "lastName": "Contact",
          "mobile": "+2756789999"
        }
      ]
    },
    "dateFrom": "2026-06-12T00:00:00.000Z",
    "dateTo": "2026-06-13T00:00:00.000Z",
    "repeatsConfig": {
      "type": "single",
      "date": "2026-06-12T00:00:00.000Z",
      "time": {
        "start": "00:45",
        "windowPeriod": "02:00"
      }
    }
  },
  "initialLocation": {
    "latitude": "52.05169309271538",
    "longitude": "5.397453505042579",
    "formattedAddress": "Menlyn Maine Central Square, Amarand Avenue, Waterkloof Glen, Pretoria, South Africa"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://staging-panic.aura.services/panic-api/v2/scheduled/guarding");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"customerId\": 12345,\n  \"scheduledRequestConfig\": {\n    \"name\": \"Example guarding request\",\n    \"specialInstructions\": \"Example special instructions\",\n    \"details\": {\n      \"numberOfGuards\": 2,\n      \"armedPreference\": \"unarmed\",\n      \"contacts\": [\n        {\n          \"firstName\": \"Example\",\n          \"lastName\": \"Contact\",\n          \"mobile\": \"+2756789999\"\n        }\n      ]\n    },\n    \"dateFrom\": \"2026-06-12T00:00:00.000Z\",\n    \"dateTo\": \"2026-06-13T00:00:00.000Z\",\n    \"repeatsConfig\": {\n      \"type\": \"single\",\n      \"date\": \"2026-06-12T00:00:00.000Z\",\n      \"time\": {\n        \"start\": \"00:45\",\n        \"windowPeriod\": \"02:00\"\n      }\n    }\n  },\n  \"initialLocation\": {\n    \"latitude\": \"52.05169309271538\",\n    \"longitude\": \"5.397453505042579\",\n    \"formattedAddress\": \"Menlyn Maine Central Square, Amarand Avenue, Waterkloof Glen, Pretoria, South Africa\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "customerId": 12345,
  "scheduledRequestConfig": [
    "name": "Example guarding request",
    "specialInstructions": "Example special instructions",
    "details": [
      "numberOfGuards": 2,
      "armedPreference": "unarmed",
      "contacts": [
        [
          "firstName": "Example",
          "lastName": "Contact",
          "mobile": "+2756789999"
        ]
      ]
    ],
    "dateFrom": "2026-06-12T00:00:00.000Z",
    "dateTo": "2026-06-13T00:00:00.000Z",
    "repeatsConfig": [
      "type": "single",
      "date": "2026-06-12T00:00:00.000Z",
      "time": [
        "start": "00:45",
        "windowPeriod": "02:00"
      ]
    ]
  ],
  "initialLocation": [
    "latitude": "52.05169309271538",
    "longitude": "5.397453505042579",
    "formattedAddress": "Menlyn Maine Central Square, Amarand Avenue, Waterkloof Glen, Pretoria, South Africa"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://staging-panic.aura.services/panic-api/v2/scheduled/guarding")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```